## wxChildFocusEvent

A child focus event is sent to a (parent-)window when one of its child windows gains focus, so that the window could restore the focus back to its corresponding child if it loses it now and regains later.

Notice that child window is the direct child of the window receiving event. Use FindFocus to retreive the window which is actually getting focus.

Derived from

wxCommandEvent
wxEvent
wxObject

Include files

<wx/event.h>

Event table macros

To process a child focus event, use this event handler macro to direct input to a member function that takes a wxChildFocusEvent argument.

EVT_CHILD_FOCUS(func) | Process a wxEVT_CHILD_FOCUS event.

See also

Event handling overview

Members

wxChildFocusEvent::wxChildFocusEvent
wxChildFocusEvent::GetWindow

### wxChildFocusEvent::wxChildFocusEvent

wxChildFocusEvent(wxWindow *win = NULL)

Constructor.

Parameters

win

The direct child which is (or which contains the window which is) receiving the focus.

### wxChildFocusEvent::GetWindow

Returns the direct child which receives the focus, or a (grand-)parent of the control receiving the focus.

To get the actually focused control use wxWindow::FindFocus.